Gifli API Docs
Api

Create an app

Create a new app. Returns the app along with the full API key (only shown once).

POST
/apps/

Authorization

BearerAuth
AuthorizationBearer <token>

Pass a user session token (from /auth/login) or an app API key (gk_…).

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/apps/" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "string",  "name": "string",  "slug": "string",  "verified": true,  "serviceAccountLimit": 0,  "apiKeyPrefix": "string",  "createdAt": "2019-08-24T14:15:22Z",  "ownerId": "string",  "apiKey": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}